diff -U 100 -H -d -r -N -- data1/etc/skel/.profile data2/etc/skel/.profile
--- data1/etc/skel/.profile
+++ data2/etc/skel/.profile
@@ -11,9 +11,17 @@
 # if running bash
 if [ -n "$BASH_VERSION" ]; then
     # include .bashrc if it exists
     if [ -f "$HOME/.bashrc" ]; then
-	. "$HOME/.bashrc"
+        . "$HOME/.bashrc"
+    fi
+    # include all files from .bashrc.d/
+    if [ -d "$HOME/.bashrc.d" ]; then
+        for rc in "$HOME/.bashrc.d/"*; do
+            if [ -f "$rc" ]; then
+                . "$rc"
+            fi
+        done
     fi
 fi
 
 # set PATH so it includes user's private bin if it exists
